summaryrefslogtreecommitdiffstats
path: root/network/secpanel
diff options
context:
space:
mode:
author Dario Nicodemi <dario.sbo@gmail.com>2012-12-13 19:18:07 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-15 15:13:33 +0100
commit38e1674389489652810454ee19f543c3111b03f1 (patch)
tree848654881f0d21ba3cd9c7d2530e6963c584e969 /network/secpanel
parent39c473f2f664cb4d60f13f4c8e57e69cd6cc14a5 (diff)
downloadslackbuilds-38e1674389489652810454ee19f543c3111b03f1.tar.gz
slackbuilds-38e1674389489652810454ee19f543c3111b03f1.tar.xz
network/secpanel: Added (SSH GUI for Unix).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/secpanel')
-rw-r--r--network/secpanel/README9
-rw-r--r--network/secpanel/secpanel.SlackBuild71
-rw-r--r--network/secpanel/secpanel.desktop12
-rw-r--r--network/secpanel/secpanel.info10
-rw-r--r--network/secpanel/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/network/secpanel/README b/network/secpanel/README
new file mode 100644
index 0000000000..8bd8f99ee5
--- /dev/null
+++ b/network/secpanel/README
@@ -0,0 +1,9 @@
+secpanel (SSH GUI for Unix)
+
+SecPanel serves as a GUI for managing and running SSH and SCP
+connections.
+It's written in tcl.
+
+Note: SecPanel is not a new implementation of the SecureShell
+protocol or the ssh software-suite. SecPanel sits on top of SSH
+software-suites and supports the SSH.com and the OpenSSH-version.
diff --git a/network/secpanel/secpanel.SlackBuild b/network/secpanel/secpanel.SlackBuild
new file mode 100644
index 0000000000..ae421217ec
--- /dev/null
+++ b/network/secpanel/secpanel.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for Secpanel
+
+# Copyright 2012 Dario Nicodemi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=secpanel
+VERSION=${VERSION:-0.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+BINDIR=/usr/bin
+LIBDIR=/usr/share
+sed -i "s|^set libdir.*$|set libdir \"${LIBDIR}/secpanel\"|" ./usr/local/bin/secpanel
+mkdir -p ${PKG}${BINDIR} ${PKG}${LIBDIR}
+cp ./usr/local/bin/secpanel ${PKG}${BINDIR}
+cp -a ./usr/local/lib/secpanel ${PKG}${LIBDIR}
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/secpanel.desktop > $PKG/usr/share/applications/secpanel.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ./usr/share/doc/secpanel-$VERSION/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/secpanel/secpanel.desktop b/network/secpanel/secpanel.desktop
new file mode 100644
index 0000000000..058ae7b559
--- /dev/null
+++ b/network/secpanel/secpanel.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Version=1.0
+Exec=secpanel
+TryExec=secpanel
+Icon=terminal
+Terminal=false
+Name=Secpanel
+GenericName=SSH GUI
+Comment=SSH GUI
+Categories=Application;Network;
+Type=Application
+StartupNotify=false
diff --git a/network/secpanel/secpanel.info b/network/secpanel/secpanel.info
new file mode 100644
index 0000000000..1ab76ca885
--- /dev/null
+++ b/network/secpanel/secpanel.info
@@ -0,0 +1,10 @@
+PRGNAM="secpanel"
+VERSION="0.6.1"
+HOMEPAGE="http://themediahost.de/secpanel/"
+DOWNLOAD="http://downloads.sourceforge.net/secpanel/secpanel-0.6.1.tgz"
+MD5SUM="c94e598bc66d38421333b74a28abaa17"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dario Nicodemi"
+EMAIL="dario.sbo@gmail.com"
diff --git a/network/secpanel/slack-desc b/network/secpanel/slack-desc
new file mode 100644
index 0000000000..fd062c05fd
--- /dev/null
+++ b/network/secpanel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+secpanel: secpanel (SSH GUI for Unix)
+secpanel:
+secpanel: SecPanel serves as a GUI for managing and running SSH and SCP
+secpanel: connections.
+secpanel: It's written in tcl.
+secpanel:
+secpanel: Note: SecPanel is not a new implementation of the SecureShell
+secpanel: protocol or the ssh software-suite. SecPanel sits on top of SSH
+secpanel: software-suites and supports the SSH.com and the OpenSSH-version.
+secpanel:
+secpanel: homepage: http://themediahost.de/secpanel/